Package org.jbpm.marshalling.impl

## Interface JBPMMessages.IterationLevelOrBuilder

- All Superinterfaces:
    `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`
  All Known Implementing Classes:
    `JBPMMessages.IterationLevel`, `JBPMMessages.IterationLevel.Builder`
  Enclosing class:
    JBPMMessages

      public static interface JBPMMessages.IterationLevelOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getId()` | `optional string id = 1;`
    `com.google.protobuf.ByteString` | `getIdBytes()` | `optional string id = 1;`
    `int` | `getLevel()` | `optional int32 level = 2;`
    `boolean` | `hasId()` | `optional string id = 1;`
    `boolean` | `hasLevel()` | `optional int32 level = 2;`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- - ### Method Detail

    - #### hasId

          boolean hasId()

      `optional string id = 1;`
      Returns:
        Whether the id field is set.

    - #### getId

          String getId()

      `optional string id = 1;`
      Returns:
        The id.

    - #### getIdBytes

          com.google.protobuf.ByteString getIdBytes()

      `optional string id = 1;`
      Returns:
        The bytes for id.

    - #### hasLevel

          boolean hasLevel()

      `optional int32 level = 2;`
      Returns:
        Whether the level field is set.

    - #### getLevel

          int getLevel()

      `optional int32 level = 2;`
      Returns:
        The level.